Update Application File
curl --request PUT \
--url https://api.lendflow.com/api/applications/{application_id}/files/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "architecto",
"name": "architecto",
"owner_id": null
}
'import requests
url = "https://api.lendflow.com/api/applications/{application_id}/files/{id}"
payload = {
"type": "architecto",
"name": "architecto",
"owner_id": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'architecto', name: 'architecto', owner_id: null})
};
fetch('https://api.lendflow.com/api/applications/{application_id}/files/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": null,
"mime_type": "image/png",
"original_name": "a4855dc5-0acb-33c3-b921-f4291f719ca0.png",
"file_url": "",
"file_type": null,
"file_size": 6500437,
"type": 5,
"has_metadata": false,
"created_at": null,
"updated_at": null,
"outcome": null,
"reason": null
}
}Documents
Update Application File
Updates a file’s document type, name, or owner. Only the fields provided are changed.
PUT
/
api
/
applications
/
{application_id}
/
files
/
{id}
Update Application File
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Path Parameters
The ID of the application.
The ID of the file.
Body
application/json
Available options:
adverse_media_report, affiliate_articles_of_incorporation, affiliate_articles_of_incorporation_or_organization, affiliate_articles_of_organization, affiliate_business_tax_return_last_year, affiliate_business_tax_return_two_years_ago, affiliate_by_laws, affiliate_by_laws_or_operating_agreement, affiliate_irs_ein_letter, affiliate_operating_agreement, ai_agent_session_message_file, applicant_eligibility_certification, application_stip, articles_of_incorporation, articles_of_incorporation_or_organization, articles_of_organization, bank_letter, bank_statements, bank_statements_4, bank_statements_8, bank_statements_12, bank_statements_2, bank_statements_1, bank_statements_7, bank_statements_6, bank_statements_3, bank_statements_5, bank_statements_11, bank_statements_10, bank_statements_9, bop_report, bpr_report, business_report, borrower_platform_template_image, call_recording, certificate_of_good_standing, contract, contract_template, copies_of_prior_sba_loans, corporate_by_laws, corporate_by_laws_or_llc_operating_agreement, credit_memo, credit_report, current_commercial_lease_agreement, dba, dba_or_fictitious_name_registration, debt_schedule, disclosures_and_authorizations, drivers_license_back, drivers_license_front, dynamic, email_footer_image, email_header_image, email_logo, fictitious_name_registration, financial_document_2, financial_document_6, financial_document_4, financial_document_3, financial_document_1, financial_document_10, financial_document_11, financial_document_12, financial_document_5, financial_document_7, financial_document_8, financial_document_9, funder_logo, fundera_other_document, funding_invoice, funding_invoice_purchase_order, funding_irs_form_ss4_ein, funding_payoff_balance_letter, funding_proof_of_ownership, funding_voided_check, history_of_business, id_document, inquiries, insurance_certificate, iso_application, list_of_all_fixed_assets, llc_operating_agreement, widget_logo, management_resume, missed_call_voicemail, offer_stip, other, payroll_report, payroll_report_1, payroll_report_2, payroll_report_3, payroll_report_4, payroll_report_5, payroll_report_6, payroll_report_7, personal_bank_statements, plaid_asset_report_pdf, plaid_statement, ppp_document_1, ppp_document_2, ppp_document_3, raw_cfa_data, recovered_document, ap_document_2, ap_document_6, ap_document_4, ap_document_1, ap_document_5, ap_document_3, risk_inform_report, sba_form_1919, sba_form_413, sba_ppp_forgiveness_letter, security_certificate, security_key, signed_application_doc, signed_checkout_doc, signed_certificate_doc, sms_attachment, state_filing_receipt, state_filing_receipt_or_certificate_of_good_standing, tax_exemption, tax_form_1, tax_form_2, tax_form_3, tax_form_4, tax_form_5, tax_form_6, tax_form_7, tax_form_8, tax_return_1, tax_return_3, tax_return_4, tax_return_5, tax_return_8, tax_return_6, tax_return_2, tax_return_7, uncategorized, verification_doc, w9, working_capital_funds_breakdown, xlsx_cfa_data Example:
"architecto"
Example:
"architecto"
Must match an existing stored value.
Example:
null
Response
200 - application/json
Show child attributes
Show child attributes
Was this page helpful?